/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef ACTIONMANAGER_H
#define ACTIONMANAGER_H

#include <gtkmm/main.h>
#include <gtkmm/textiter.h>
#include <glib.h>
#include <iostream>
using namespace std;

// Action struct that holds the position, text and whether text was
//  added or deleted for each action up to the max
struct action
{
  bool text_was_added;
  int offset;
  Glib::ustring text;
};

// Action manager that that tracks undo and redo information
class action_manager
{
public:
  action_manager();
  ~action_manager();

  void add_new_action(bool, int, Glib::ustring);
  void erase();
  Glib::ustring undo(int&, bool&);
  Glib::ustring redo(int&, bool&);

  bool get_current_action_add_or_del();
  int get_current_action_offset();
  void add_to_end_current_action(bool, Glib::ustring);
  void add_to_begin_current_action(Glib::ustring);

private:
  int current_position, current_size, current_buffer_offset;
  vector<action> actions;
};

#endif
