/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef EDITOR_H
#define EDITOR_H

#include <iostream>
#include <gtkmm.h>
#include <glib.h>
using namespace std;

// Editor class declaration
class editor_properties
{
public: 
  void set_filename(Glib::ustring);
  void set_toolbar(bool);
  void set_fileviewer(bool);
  void set_statusbar(bool);
  void set_buildbox(bool);
  void set_project(Glib::ustring);
  void set_clipboard(Glib::ustring);

  Glib::ustring get_filename();
  Glib::ustring get_clipboard();

  bool get_toolbar();
  bool get_fileviewer();
  bool get_statusbar();
  bool get_buildbox();

private:
  Glib::ustring filename, project, clipboard;
  bool toolbar, fileviewer, statusbar, buildbox;
};

#endif
