/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#ifndef FILEMANAGER_H
#define FILEMANAGER_H

#include "project.h"

#include <gtkmm/dialog.h>
#include <gtkmm/button.h>
#include <gtkmm/buttonbox.h>
#include <gtkmm/treeview.h>
#include <gtkmm/label.h>
#include <gtkmm/radiobutton.h>
#include <gtkmm/fixed.h>
#include <gtkmm/separator.h>
#include <gtkmm/scrolledwindow.h>
#include <gtkmm/box.h>
#include <iostream>
using namespace std;

// FileManager class
class file_manager : public Gtk::Dialog
{
  // Class to add column to a TreeView (TreeModel)
  class ModelColumns : public Gtk::TreeModel::ColumnRecord
  {
  public:
    ModelColumns()  { add(col_text); }
    Gtk::TreeModelColumn<Glib::ustring> col_text;
  };
  
public:
  file_manager(Glib::ustring, Glib::ustring, Glib::ustring, Glib::ustring);
  ~file_manager();

  void on_radio_button_selected();
  void on_add();
  void on_delete();
  void on_close();
  void sort_source_files();
  void initialize_objects();

  Glib::ustring get_source_files();
  Glib::ustring get_header_files();
  Glib::ustring get_other_files();

private:
  Gtk::Dialog *dialog;
  Gtk::Button *add, *del, *close;
  Gtk::TreeView *files;
  Gtk::RadioButton *sources, *headers, *others;
  Gtk::Fixed *fixed;
  Gtk::VBox *vbox;
  Gtk::HBox *hbox;
  Gtk::HSeparator *hseparator;
  Gtk::ScrolledWindow *scrolled_win;
  Glib::ustring source_files, header_files, other_files, src_location;
};

#endif
