/**************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KEYPRESS_H
#define KEYPRESS_H

#include "settings.h"
#include "actionmanager.h"

#include <gtkmm/textbuffer.h>
#include <glib.h>

// Declaration of keypress handling funtions
void flip_insert_selection_bounds (Glib::RefPtr<Gtk::TextBuffer>);
bool key_pressed_alnum (Glib::RefPtr<Gtk::TextBuffer>, Gtk::TextIter, 
                        GdkEventKey*, action_manager&, environment_settings);
bool key_pressed_backspace (Glib::RefPtr<Gtk::TextBuffer>, Gtk::TextIter,
                        GdkEventKey*, action_manager&, environment_settings);
bool key_pressed_delete (Glib::RefPtr<Gtk::TextBuffer>, Gtk::TextIter,
                        GdkEventKey*, action_manager&, environment_settings);
bool key_pressed_tab (Glib::RefPtr<Gtk::TextBuffer>, Gtk::TextIter,
                        GdkEventKey*, action_manager&, environment_settings);
bool key_pressed_return (Glib::RefPtr<Gtk::TextBuffer>, Gtk::TextIter,
                        GdkEventKey*, action_manager&, environment_settings);

#endif
