/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef NOTEBOOKTAB_H
#define NOTEBOOKTAB_H

#include "scrolledwin.h"
#include "actionmanager.h"

#include <gtkmm/textview.h>
#include <gtkmm/scrolledwindow.h>
#include <gtkmm/label.h>
#include <gtkmm/image.h>
#include <gtkmm/button.h>
#include <gtkmm/box.h>
#include <gtkmm/main.h>
#include <gtkmm/notebook.h>
#include <glib.h>

// Notebook tab struct that holds information for each tab
struct notebook_tab
{
  void initialize_objects(Glib::ustring);
  void show_all_objects();
  void set_object_properties();

	Gtk::TextView *textview;
  Gtk::ScrolledWindow *scrolled_win;
  Gtk::Label *label, *line_numbers;
	Gtk::Button *button;
  Gtk::Image *image;
	Gtk::HBox *hbox, *hbox2;
  ScrolledWin *swin;
	int tab_id, current_line_count;
  Glib::ustring fn;
  action_manager aman;
};

#endif
