/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#include <iostream>
#include <gtkmm.h>
#include <glib.h>
using namespace std;

// Editor settings class
class environment_settings
{
public:
  environment_settings();
  ~environment_settings();

  void load_settings_file();
  void write_settings_file();
  void create_new_settings_file();

  void set_syntax          (int, Glib::ustring);
  void set_autoload        (bool);
  void set_replace_tabs    (bool);
  void set_line_numbers    (bool);
  void set_autosave        (int);
  void set_tabsize         (int);
  void set_treeview_width  (int);
  void set_buildbox_height (int);
  void set_font_size       (Glib::ustring);
  void set_error           (Glib::ustring);
  void set_toolbar         (Glib::ustring);
  void set_warning         (Glib::ustring);
  void set_terminal        (Glib::ustring);
  void set_font_face       (Glib::ustring);
  void set_lastproject     (Glib::ustring);
  void set_width           (int);
  void set_height          (int);

  Glib::ustring get_syntax_color (int);

  int  get_autosave();
  int  get_tabsize();
  int  get_width();
  int  get_height();
  int  get_treeview_width();
  int  get_buildbox_height();
  bool get_autoload();
  bool get_replace_tabs();
  bool get_line_numbers();
  
  Glib::ustring get_error_color();
  Glib::ustring get_warning_color();
  Glib::ustring get_terminal();
  Glib::ustring get_font_size();
  Glib::ustring get_font_face();
  Glib::ustring get_lastproject();
  Glib::ustring get_toolbar();

private:
  int autosave, tabsize, width, height, treeview_width, buildbox_height;
  bool autoload, replace_tabs, line_numbers;
  Glib::ustring error, warning, terminal, fontface, lastproject, fontsize, toolbar;
  Glib::ustring syntax[6];
};

#endif
